<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pw@F850=2710</action>
    </script>
  </cheat>

  <cheat desc="Clear Credits Now!">
    <script state="on">
      <action>maincpu.pw@F850=0000</action>
    </script>
  </cheat>

  <cheat desc="Infinite Thinking Time">
    <script state="run">
      <action>maincpu.pw@F9D0=000B</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power">
    <script state="run">
      <action>maincpu.pw@FD71=03E7</action>
    </script>
  </cheat>

  <cheat desc="Always Have Tefuda Cancel">
    <script state="run">
      <action>maincpu.pb@F9D3=01</action>
    </script>
  </cheat>

  <cheat desc="Always Have Te-Yon Tsumikomi">
    <script state="run">
      <action>maincpu.pb@F9D4=01</action>
    </script>
  </cheat>

  <cheat desc="Always Have InoShikaChou Tsumikomi">
    <script state="run">
      <action>maincpu.pb@F9D5=01</action>
    </script>
  </cheat>

  <cheat desc="Always Have Sankou Tsumikomi">
    <script state="run">
      <action>maincpu.pb@F9D6=01</action>
    </script>
  </cheat>

  <cheat desc="Always Have Gokou Tsumikomi">
    <script state="run">
      <action>maincpu.pb@F9D7=01</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Set on BET selection screen</comment>
    <parameter min="1" max="3" step="1"/>
    <script state="change">
      <action>maincpu.pb@F987=(param-1)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
